#! /usr/bin/env python2 

import os, sys

def parseJdl(fname):
    
    """
    Returns a dictionary of all properties found in the jdl file.
    """
    
    file = open(fname)
    text = file.read().strip('[]\n\t ').split(';')
    props = {}
    for line in text:
        if line != '':
            a = line.split('=')
            key = a[0].strip().upper()
            val = a[1].strip('"; \n\t')
            if val.startswith('{'):
                vals = val.strip('{}').split(',')
                for i in range(len(vals)):
                    vals[i] = vals[i].strip('"\n\t ')
                props[key] = vals
            else:
                props[key] = val
    file.close()
    return props

def validate(idfname):
    
    """ 
    Returns all job ids from the file (removing any comments/new line trash).
    """
    
    f = open(idfname, 'r')
    lines = f.readlines()
    f.close()
    if lines == None or len(lines) == 0:
        return []
    trimmed = []
    for line in lines:
        line = line.strip()
        if line != '' and not line.startswith('#'):
            trimmed.append(line)
    return trimmed
    
def getQueueDir():
    
    """
    Returns the job queue directory used by the dummy wms system (derived
    from an env variable). This method will cause the script to exit if the
    directory cannot be resolved.
    """
    
    var = 'JOBQUEUE_LOCATION'
    queue = None
    try:
        queue = os.environ[var]
    except KeyError:
        sys.stderr.write('Error: %s is not set \n' % var)
        sys.exit(1)
    return queue

