# Common function definitions.

# Contains those functions that are required by both local test scripts
# (which load this via testinit.sh) and the remote job scripts.

function TEST_JAVA()
{
	eval local test_classpath=$1; shift
	local test_exe=`basename $1 .class`; shift
	if [ "$X509_USER_PROXY" != "" ]
	then
		local securityProp="-DX509_USER_PROXY=$X509_USER_PROXY"
	else
		local securityProp="-DTRUSTFILE=$TRUSTFILE"
	fi
	java -classpath $test_classpath \
             -DRGMA_HOME=$RGMA_HOME \
             $securityProp \
             $test_exe "$@"
}

# End of common function definitions
