#!/usr/bin/env python

import rgma
import sys
import time

# Define main function.

def main():
                                                                                
    # Check arguments.
                                                                                
    if len(sys.argv) != 9:
        sys.stderr.write("Usage: <testId> <tableName> <terminationInterval> <historyRP> <latestRP> <producerType> <firstTupleId> <lastTupleId>\n")
        sys.exit(1)
                                                                                
    testId = sys.argv[1]
    tableName = sys.argv[2]
    terminationInterval = sys.argv[3] #seconds
    historyRP = sys.argv[4] #seconds
    latestRP = sys.argv[5] #seconds
    producerType = sys.argv[6]
    firstTupleId = sys.argv[7]
    lastTupleId = sys.argv[8]

    # Create Primary Producer and insert numRows rows into tableName, with
    # separate INSERTs.
    
    startTime = time.time()
    
    ti = rgma.TimeInterval(terminationInterval, rgma.Units.SECONDS)

    if producerType == "CONTINUOUS":
        producerProps = rgma.ProducerProperties(rgma.Storage(rgma.StorageType.MEMORY), rgma.QueryType.CONTINUOUS)
    elif producerType == "LATEST":
        producerProps = rgma.ProducerProperties(rgma.Storage(rgma.StorageType.DATABASE), rgma.QueryType.LATEST)
    elif producerType == "HISTORY":
        producerProps = rgma.ProducerProperties(rgma.Storage(rgma.StorageType.DATABASE), rgma.QueryType.HISTORY)
    else:
        sys.stderr.write("Invalid producer type (" + producerType + ") in test script.\n")
        sys.exit(1)

    try:
        pp = rgma.PrimaryProducer(ti, producerProps, None)
        endpoint = pp.getEndpoint()
    
        predicate = "WHERE aString = '" + testId + "'"
        pp.declareTable(tableName,
                        predicate,
                        rgma.TimeInterval(historyRP, rgma.Units.SECONDS),
                        rgma.TimeInterval(latestRP, rgma.Units.SECONDS))
    
        for i in range(int(firstTupleId), (int(lastTupleId) + 1)):
            insert = "INSERT INTO " + tableName + " (userId, aString, aReal, anInt) VALUES ('" + testId + "-" + `i` + "','" + testId + "',0," + `int(time.time())` + ")"
            pp.insert(insert)
    except Exception, e:
        sys.stderr.write(e.__str__() + "\n")
        sys.exit(1)
    
    print "URL=%s" % endpoint.getUrl()
    print "resourceId=%d" % endpoint.getResourceId()
    print "startTime=%.0f" % startTime
    print "endTime=%.0f" % time.time()

    # Clean up.
    
#    pp.close(); leave producer to expire on its own */
    sys.exit(0)

# Run main() function.
    
main()

# End of file.
