import org.glite.rgma.*;
import org.glite.rgma.stubs.ConsumerFactoryStub;
import org.glite.rgma.stubs.ProducerFactoryStub;

public class test_showSignOfLife
{
    public static void main(String[] args)
    { 
        /* Check arguments. */
    
        if (args.length != 3)
        {
            System.err.println("Usage: <URL> <resourceId> <PrimaryProducer|SecondaryProducer|Consumer>");
            System.exit(1);
        }
    
        String url = args[0];
        int resourceId = Integer.parseInt(args[1]);
        String resourceType = args[2];

	ResourceEndpoint endpoint = new ResourceEndpoint(url, resourceId);

        /* Reconnect to resource and send a showSignOfLife to it. */
    
        try
        {
            if (resourceType.equals("PrimaryProducer"))
            {
                ProducerFactory pf = new ProducerFactoryStub();
                PrimaryProducer pp = pf.reconnectPrimaryProducer(endpoint);
                pp.showSignOfLife();
            }
            else if (resourceType.equals("SecondaryProducer"))
            {
                ProducerFactory pf = new ProducerFactoryStub();
                SecondaryProducer sp = pf.reconnectSecondaryProducer(endpoint);
                sp.showSignOfLife();
            }
            else if (resourceType.equals("Consumer"))
            {
                ConsumerFactory cf = new ConsumerFactoryStub();
                Consumer c = cf.reconnectConsumer(endpoint);
                c.showSignOfLife();
            }
            else
            {
                System.err.println("Invalid resource type (" + resourceType + ") in test script.");
                System.exit(1);
            }
        }
        catch (Exception e)
        {
            System.err.println(e.getMessage());
            System.exit(1);
        }

        /* Clean up. */
    
        System.exit(0);
    }
}
    
/* End of file. */
