#!/usr/bin/env python
                                                                                
import rgma
import sys
import time
                                                                                
# Define main function.
                                                                                
def main():
                                                                                
    # Check arguments.
                                                                                
    if len(sys.argv) != 4:
        sys.stderr.write("Usage: <URL> <resourceId> <PrimaryProducer|SecondaryProducer|Consumer>\n")
        sys.exit(1)
                                                                                
    url = sys.argv[1]
    resourceId = sys.argv[2]
    resourceType = sys.argv[3]

    endpoint = rgma.ResourceEndpoint(url, resourceId)

    # Reconnect to resource and send a showSignOfLife to it.
    
    if resourceType == "PrimaryProducer":
        r = rgma.reconnect(rgma.PrimaryProducer, endpoint)
        print r.getHistoryRetentionPeriod("userTable")
    elif resourceType == "SecondaryProducer":
        r = rgma.reconnect(rgma.SecondaryProducer, endpoint)
    elif resourceType == "Consumer":
        r = rgma.reconnect(rgma.Consumer, endpoint)
    else:
         sys.stderr.write("Invalid resource type (" + resourceType + ") in test script.")
         sys.exit(1)

    try:
        r.showSignOfLife()
    except Exception, e:
        sys.stderr.write(e.__str__() + "\n")
        sys.exit(1)

    # Clean up.
    
    sys.exit(0)

# Run main() function.
                                                                                
main()
                                                                                
# End of file.
