import org.glite.rgma.*;
import org.glite.rgma.stubs.ProducerFactoryStub;

public class test_sp
{
    public static void main(String[] args)
    { 
        /* Check arguments. */
    
        if (args.length != 5)
        {
            System.err.println("Usage: <testId> <tableName> <terminationInterval> <historyRP> <producerType>");
            System.exit(1);
        }
    
        String testId = args[0];
        String tableName = args[1];
        int terminationInterval = Integer.parseInt(args[2]); //seconds
        int historyRP = Integer.parseInt(args[3]); //seconds
        String producerType = args[4];
    
        /* Create Secondary Producer. */
    
        long startTime = System.currentTimeMillis() / 1000;
        ProducerProperties producerProps = null;
    
        if (producerType.equals("LATEST"))
        {
            producerProps = new ProducerProperties(Storage.DATABASE, ProducerProperties.LATEST);
        }
        else if (producerType.equals("HISTORY"))
        {
            producerProps = new ProducerProperties(Storage.DATABASE, ProducerProperties.HISTORY);
        }
        else
        {
            System.err.println("Invalid producer type (" + producerType + ") in test script.");
            System.exit(1);
        }

        SecondaryProducer sp = null;
        ResourceEndpoint endpoint = null;
    
        try
        {
            ProducerFactory pf = new ProducerFactoryStub();
            TimeInterval ti = new TimeInterval(terminationInterval, Units.SECONDS);
            sp = pf.createSecondaryProducer(ti, producerProps, null);
            endpoint = sp.getResourceEndpoint();
    
            String predicate = "";
            sp.declareTable(tableName, predicate,
                            new TimeInterval(historyRP, Units.SECONDS));
        }
        catch (Exception e)
        {
            System.err.println(e.getMessage()); 
            System.exit(1);
        }
    
        System.out.println("URL=" + endpoint.getUrl());
        System.out.println("resourceId=" + endpoint.getResourceId());
        System.out.println("startTime=" + startTime);
        System.out.println("endTime=" + (System.currentTimeMillis() / 1000));
    
        /* Clean up. */
    
	/* sp.close(); leave producer to expire on its own */
        System.exit(0);
    }
}
    
/* End of file. */
