#!/usr/bin/env python
                                                                                
import rgma
import sys
import time
                                                                                
# Define main function.
                                                                                
def main():

    # Check arguments.
                                                                                
    if len(sys.argv) != 6:
        sys.stderr.write("Usage: <testId> <tableName> <terminationInterval> <historyRP> <producerType>\n")
        sys.exit(1)
                                                                                
    testId = sys.argv[1]
    tableName = sys.argv[2]
    terminationInterval = sys.argv[3] #seconds
    historyRP = sys.argv[4] #seconds
    producerType = sys.argv[5]

    # Create Secondary Producer.

    startTime = time.time()
                                                                                
    ti = rgma.TimeInterval(terminationInterval, rgma.Units.SECONDS)
                                                                                
    if producerType == "LATEST":
        producerProps = rgma.ProducerProperties(rgma.Storage(rgma.StorageType.DATABASE), rgma.QueryType.LATEST)
    elif producerType == "HISTORY":
        producerProps = rgma.ProducerProperties(rgma.Storage(rgma.StorageType.DATABASE), rgma.QueryType.HISTORY)
    else:
        sys.stderr.write("Invalid producer type (" + producerType + ") in test script.\n")
        sys.exit(1)

    try:
        sp = rgma.SecondaryProducer(ti, producerProps, None)
        endpoint = sp.getEndpoint()
                                                                                
        predicate = ""
        sp.declareTable(tableName,
                        predicate,
                        rgma.TimeInterval(historyRP, rgma.Units.SECONDS))
    except Exception, e:
        sys.stderr.write(e.__str__() + "\n")
        sys.exit(1)

    print "URL=%s" % endpoint.getUrl()
    print "resourceId=%d" % endpoint.getResourceId()
    print "startTime=%.0f" % startTime
    print "endTime=%.0f" % time.time()

    # Clean up.
                                                                                
#   sp.close(); leave producer to expire on its own */
    sys.exit(0)

# Run main() function.
                                                                                
main()
                                                                                
# End of file.
