# Additional test initialisation for CPP API (commands for compiling and
# running the API code).

# API code source files.

TEST_SRC_C=$TEST_SRCDIR/lib/test_c.cpp
TEST_EXE_C=test_cp
TEST_SRC_PP=$TEST_SRCDIR/lib/test_pp.cpp
TEST_EXE_PP=test_pp
TEST_SRC_SP=$TEST_SRCDIR/lib/test_sp.cpp
TEST_EXE_SP=test_sp
TEST_SRC_SELECT=$TEST_SRCDIR/lib/test_select.cpp
TEST_EXE_SELECT=test_select
TEST_SRC_SHOWSIGNOFLIFE=$TEST_SRCDIR/lib/test_showSignOfLife.cpp
TEST_EXE_SHOWSIGNOFLIFE=test_showSignOfLife

# Function to compile test programs.

function TEST_COMPILE_RGMA()
{
	local test_src=$1
	local test_exe=$2

	if [ -f $RGMA_HOME/lib/libglite-rgma-c.so.5 ]
	then
		$TEST_CPP -I$RGMA_HOME/include -I$RGMA_HOME/externals/include \
	       	$test_src -o $test_exe -O \
		-L$RGMA_HOME/lib -L$GLITE_LOCATION/externals/lib \
		-lxerces-c -lssl -lglite-rgma-cpp-impl -lglite-rgma-cpp
	else # use v1.4.* compatibility
		$TEST_CPP -I$RGMA_HOME/include -I$RGMA_HOME/externals/include \
	       	$test_src -o $test_exe -O \
		-L$RGMA_HOME/lib -L$GLITE_LOCATION/externals/lib \
		-lxerces-c -lssl -lglite-rgma-cpp-impl -lglite-rgma-cpp \
	        -lrgma-cpp
	fi
                                                                                
	if [ $? -ne 0 -o ! -x $test_exe ]
	then
	        echo "Compilation of $test_src failed."
	        echo $TEST_FAILURE_MESSAGE
	        exit $TEST_FAILURE
	fi
}

# Command to run test programs.

TEST_RUN= #empty

# End of file.
