# Additional test initialisation for Java API (commands for compiling and
# running the API code).

# API code source files.

TEST_SRC_C=$TEST_SRCDIR/lib/test_c.java
TEST_EXE_C=test_c.class
TEST_SRC_PP=$TEST_SRCDIR/lib/test_pp.java
TEST_EXE_PP=test_pp.class
TEST_SRC_SP=$TEST_SRCDIR/lib/test_sp.java
TEST_EXE_SP=test_sp.class
TEST_SRC_SELECT=$TEST_SRCDIR/lib/test_select.java
TEST_EXE_SELECT=test_select.class
TEST_SRC_SHOWSIGNOFLIFE=$TEST_SRCDIR/lib/test_showSignOfLife.java
TEST_EXE_SHOWSIGNOFLIFE=test_showSignOfLife.class

# Java classpath (evaluated only when it's used, because we want RGMA_HOME to
# be expanded on the UI node or Worker Node as appropriate).

TEST_CLASSPATH="\$RGMA_HOME/share/java/glite-rgma-api-java.jar:\$RGMA_HOME/share/java/glite-rgma-stubs-servlet-java.jar:\$GLITE_LOCATION/share/java/glite-security-trustmanager.jar:\$GLITE_LOCATION/share/java/glite-security-util-java.jar:\$GLITE_LOCATION/externals/share/java/bcprov-jdk14-122.jar:\$GLITE_LOCATION/externals/share/java/log4j.jar:."

# Function to compile test programs.

function TEST_COMPILE_RGMA()
{
	local test_src=$1
	local test_exe=`$TEST_BASENAME $2`

	$TEST_CP $test_src .
	test_src=`$TEST_BASENAME $test_src`
	eval $TEST_JAVAC -classpath $TEST_CLASSPATH $test_src
                                                                                
	if [ $? -ne 0 -o ! -f $test_exe ]
	then
	        echo "Compilation of $test_src failed."
	        echo $TEST_FAILURE_MESSAGE
	        exit $TEST_FAILURE
	fi
}

# Command to run test programs (TEST_JAVA is defined in test_functions.sh).

TEST_RUN="TEST_JAVA $TEST_CLASSPATH"

# End of file.
