#! /bin/sh

# Initialise the test environment (the init script needs the absolute path
# of the test source directory).
                                                                                
here=`pwd`;cd `dirname $0`;test_srcdir=`pwd`;cd $here;unset here
. $test_srcdir/lib/testinit.sh $test_srcdir 2

cd $TEST_DIR

# Compile test program (the compilation step is part of the test).

echo "Compiling..."

TEST_COMPILE_RGMA $TEST_SRC_SP $TEST_DIR/$TEST_EXE_SP
TEST_COMPILE_RGMA $TEST_SRC_PP $TEST_DIR/$TEST_EXE_PP
TEST_COMPILE_RGMA $TEST_SRC_C $TEST_DIR/$TEST_EXE_C

# Run the test programs (LATEST SecondaryProducer and Consumer and a CONTINUOUS
# PrimaryProducer to feed them).

echo "Running..."

queryType="LATEST"
firstTupleId=1
lastTupleId=1
numTuples=1

$TEST_RUN $TEST_DIR/$TEST_EXE_SP $TEST_ID \
                                 $TEST_tableName \
                                 $TEST_terminationInterval \
                                 $TEST_historyRP \
                                 $queryType > /dev/null
if [ $? -ne 0 ]
then
        echo "Test program $TEST_EXE_SP reported failure."
        echo $TEST_FAILURE_MESSAGE
        exit $TEST_FAILURE
fi

$TEST_RUN $TEST_DIR/$TEST_EXE_PP $TEST_ID \
                                 $TEST_tableName \
                                 $TEST_terminationInterval \
                                 $TEST_historyRP \
                                 $TEST_latestRP \
                                 "CONTINUOUS" \
                                 $firstTupleId \
                                 $lastTupleId > /dev/null
if [ $? -ne 0 ]
then
	echo "Test program $TEST_EXE_PP reported failure."
	echo $TEST_FAILURE_MESSAGE
	exit $TEST_FAILURE
fi

$TEST_SLEEP $TEST_queryTimeout # Don't want to get ahead of producer.

$TEST_RUN $TEST_DIR/$TEST_EXE_C $TEST_ID \
                                $TEST_tableName \
                                $TEST_terminationInterval \
                                $TEST_queryTimeout \
                                $queryType \
                                $numTuples > /dev/null
if [ $? -ne 0 ]
then
	echo "Test program $TEST_EXE_C reported failure."
	echo $TEST_FAILURE_MESSAGE
	exit $TEST_FAILURE
fi

# Clean up.

cd $TEST_SRCDIR
$TEST_RM -rf $TEST_DIR
echo $TEST_SUCCESS_MESSAGE
exit $TEST_SUCCESS

# End of file.
